digiKam Developer Documentation: Digikam::KeywordSearchReader Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Digikam::KeywordSearchReader Class Reference
Inheritance diagram for Digikam::KeywordSearchReader:

## Public Member Functions
| KeywordSearchReader (const QString &xml)
bool | isSimpleKeywordSearch ()
| Checks if the XML is a simple keyword search, compatible with keywords().
QStringList | keywords ()
| Returns the keywords from this search, merged in a list.
Public Member Functions inherited from Digikam::SearchXmlReader
| SearchXmlReader (const QString &xml)
SearchXml::Operator | defaultFieldOperator () const
| Returns the default field operator.
virtual QString | fieldName () const
virtual SearchXml::Operator | fieldOperator () const
| Returns the field attributes.
virtual SearchXml::Relation | fieldRelation () const
virtual QString | groupCaption () const
| Returns the (optional) group caption.
virtual SearchXml::Operator | groupOperator () const
| Returns the group operator.
bool | isFieldElement () const
| Returns if the current element is a field element (start or end element).
bool | isGroupElement () const
| Returns if the current element is a group element (start or end element).
virtual SearchXml::Element | readNext ()
| Continue parsing the document.
void | readToEndOfElement ()
| General helper method: Reads XML until the end element of the current start element in reached.
void | readToFirstField ()
| General helper method: Reads XML until the first field of the next or first found group is reached.
bool | readToStartOfElement (const QString &name)
| General helper method: Reads XML a start element with the given name is found.
virtual QString | value ()
| Returns the field values.
virtual QDateTime | valueToDateTime ()
virtual QList< QDateTime > | valueToDateTimeList ()
virtual double | valueToDouble ()
virtual QList< double > | valueToDoubleList ()
virtual QList< double > | valueToDoubleOrDoubleList ()
virtual int | valueToInt ()
virtual QList< int > | valueToIntList ()
virtual QList< int > | valueToIntOrIntList ()
virtual qlonglong | valueToLongLong ()
virtual QList< qlonglong > | valueToLongLongList ()
virtual QStringList | valueToStringList ()
virtual QList< QString > | valueToStringOrStringList ()

## Additional Inherited Members
Protected Member Functions inherited from Digikam::SearchXmlReader
SearchXml::Operator | readOperator (const QString &, SearchXml::Operator) const
SearchXml::Relation | readRelation (const QString &, SearchXml::Relation) const
Protected Attributes inherited from Digikam::SearchXmlReader
SearchXml::Operator | m_defaultFieldOperator